Suitcase Fusion 7 System Requirements - Extensis.com

Suitcase Fusion 7
System Requirements

Macintosh

Current version: 18.2.4

  • OS X® 10.9.5 through 10.13
  • Some features require an Internet connection
  • Safari® 7 or later or the current release of Firefox® or Chrome™, for viewing Help

Windows

Current version: 18.2.4

  • Windows® 7 SP1, Windows 8, Windows 8.1, or Windows 10
  • Microsoft® .NET Framework version 4.5.1
  • Some features require an Internet connection
  • Internet Explorer® 10 or later, Microsoft Edge, or the current release of Firefox or Chrome, for viewing Help

Supported Applications

Suitcase Fusion 7 includes auto-activation plug-in support for the following applications:

  • Adobe® After Effects® Creative Cloud 2015, CC 2015.3, and CC 2017
  • Adobe Illustrator® Creative Suite® 6, Creative Cloud® 2014, CC 2015, CC 2015.3, and CC 2017
  • Adobe InCopy® CS6, Creative Cloud 2014, CC 2015, and CC 2017
  • Adobe InDesign® CS6, Creative Cloud 2014, CC 2015, and CC 2017
  • Adobe Photoshop® CS6, Creative Cloud 2014, CC 2015, CC 2015.5, and CC 2017
  • QuarkXPress™ 10, 2015, 2016 and 2017 (Mac only)

In addition to plug-in support, Suitcase Fusion 7 includes the Extensis Font Panel for the following applications:

  • Adobe Illustrator CS6, Creative Cloud 2014, CC 2015, CC 2015.3, and CC 2017
  • Adobe InDesign CS6, Creative Cloud 2014, CC 2015, and CC 2017
  • Adobe Photoshop CS6, Creative Cloud 2014, CC 2015, CC 2015.5, and CC 2017

Adobe Flash® Player is required for the Font Panel in CS6.

Further Information

For details about which design applications are supported on which operating systems, see the Suitcase Fusion Support Guide.